Page MenuHomeFreeBSD

databases/influxdb: Update to 1.6.2
ClosedPublic

Authored by fernape on Sep 9 2018, 3:55 PM.

Details

Summary

Via PR 231232

Waiting for maintainer approval/timeout.

I also reordered some of the variable blocks and simplify the man pages installation

Test Plan
  • portlint -AC OK (some false positives show up)
  • poudriere builds for {10.4,11.1}{amd64,i386}, 12i386 OK
  • run test in 10.4amd64 OK (basic testing like firing up the db server, connecting, listing the available databases and such)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

fernape created this revision.Sep 9 2018, 3:55 PM
tcberner accepted this revision.Sep 10 2018, 4:29 AM

Looks good from my side.

This revision is now accepted and ready to land.Sep 10 2018, 4:29 AM
mat added inline comments.Sep 10 2018, 9:46 AM
databases/influxdb/Makefile
92 ↗(On Diff #47836)

This is already in USE_RC_SUBR, remove SUB_FILES.

fernape updated this revision to Diff 47876.Sep 10 2018, 4:01 PM

Remove redundant SUB_FILES

This revision now requires review to proceed.Sep 10 2018, 4:01 PM
fernape marked an inline comment as done.Sep 10 2018, 4:01 PM

Does this look good?

Still looks good to me, yes :)

This revision was not accepted when it landed; it landed in state Needs Review.Sep 17 2018, 4:44 PM
This revision was automatically updated to reflect the committed changes.
mat added inline comments.Sep 17 2018, 6:29 PM
head/databases/influxdb/Makefile
14

I wonder if someone is keeping track of those "needs go" ONLY_FOR_ARCHS, for when go, for instances, grows aarch64 support.

15

these architectures

fernape marked 2 inline comments as done.Sep 18 2018, 4:54 PM
fernape added inline comments.
head/databases/influxdb/Makefile
14

I suppose we'll need to grep the tree for ONLY_FOR_ARCHS.*go.* when that time comes

15

As it is now:

make
===>  influxdb-1.6.2 is only for armv6 armv7 i386, while you are running amd64
(reason: depends on go which is not supported in this architecture).

It makes sense in singular since we are referring to the arch the user is building on, right?

mat added inline comments.Sep 18 2018, 5:20 PM
head/databases/influxdb/Makefile
14

For ports where there is a reason about go, yeah, sure :-)

If it were me, I'd remove those as go is the limiting factor, technically, this works everywhere. In poudriere the ports will be skipped, and for other tools, or if building manually, the build will fail early because go won't build.

15

Ah, yes, I missed the IGNORE+= while you are running ${ARCH} while reading the code ^^